Subject: bug#10155: 23.3; HEAD broken by recent commit for emacsclient

From: [email-masked] (Randal L. Schwartz)
Date: Mon, 28 Nov 2011 10:13:47 -0800

>>>>> "Eli" == Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked] (Randal L. Schwartz)
>> Date: Mon, 28 Nov 2011 09:19:23 -0800

Eli> The subject says 23.3, but my crystal ball says you are reporting a
Eli> problem with 24.0.91, right?  Because I didn't commit anything to the
Eli> Emacs 23 branch.

yes. sorry, since it wasn't something I could submit from within
the broken emacs, I copied to another system.  correct.

>> /Users/merlyn/MIRROR/emacs-GIT/lib-src/emacsclient.c: In function
>> 'set_local_socket':
>> /Users/merlyn/MIRROR/emacs-GIT/lib-src/emacsclient.c:1281: warning:
>> passing argument 2 of 'confstr' discards qualifiers from
>> pointer target type

Eli> Was this warning present before as well?  I don't think it's related
Eli> to the change you blame.

No idea.  I tend to look at the build only when it breaks. :)

>> /Users/merlyn/MIRROR/emacs-GIT/lib-src/emacsclient.c: In function
>> 'main':
>> /Users/merlyn/MIRROR/emacs-GIT/lib-src/emacsclient.c:1639: error:
>> 'environ' undeclared (first use in this function)
>> /Users/merlyn/MIRROR/emacs-GIT/lib-src/emacsclient.c:1639: error: (Each
>> undeclared identifier is reported only once
>> /Users/merlyn/MIRROR/emacs-GIT/lib-src/emacsclient.c:1639: error: for
>> each function it appears in.)
>> make[2]: *** [emacsclient] Error 1
>> make[1]: *** [lib-src] Error 2
>> make: *** [bootstrap] Error 2

Eli> Which OS is that?

Darwin [redacted] 10.8.0 Darwin Kernel Version 10.8.0:
Tue Jun  7 16:33:36 PDT 2011; root:xnu-1504.15.3~1/RELEASE_I386 i386

OSX 10.6 essentially.

Eli> Can you tell which system header declares `environ' on that
Eli> platform?

None... just

     extern char **environ;

says the manpage for environ.

http://developer.apple.com/library/mac/#documentation/darwin/reference/manpages/man7/environ.7.html

Eli> Sorry about the inconvenience.

No worries.  That's why I smoketest every day.

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Smalltalk/Perl/Unix consulting, Technical writing, Comedy, etc. etc.
See http://methodsandmessages.posterous.com/ for Smalltalk discussion